{
  name: "Up-Grade",
  onModifySpe(spe, pokemon) {
    if (user.baseSpecies.num === 474 && pokemon?.item === 'upgrade') {
      this.add('-message', `${pokemon.name}'s Upgrade boosts its Speed!`);
      return this.chainModify(1.5);
    }
  },
  onBeforeMove(pokemon, target, move) {
    if (
      user.baseSpecies.num === 474 &&
      pokemon?.item === 'upgrade' &&
      move?.id === pokemon.lastMove
    ) {
      this.add('-fail', pokemon, `Upgrade prevents using ${move.name} twice in a row!`);
      return false;
    }
  },
  onAfterMove(pokemon, target, move) {
    if (user.baseSpecies.num === 474 && pokemon?.item === 'upgrade') {
      pokemon.lastMove = move.id;
    }
  },
  onSwitchOut(pokemon) {
    if (pokemon.lastMove) delete pokemon.lastMove;
  },
  spritenum: 523,
  fling: {
  	basePower: 30,
  },
  itemUser: ["Porygon-Z"],
  num: 252,
  gen: 2,
}